c    @(#)ndinfo.f	1.7
c
c
      subroutine ndinfo(idev)
c
      include 'qg_par.inc'
      common/parm/kz,m,mm1,mm2,mp1,msq,tim,tmax,tstart,hy,rea,dt,
     +   xbasin,yy(mx0),icalc,kzp1,kzm1,iftop,ifbot,iftvv,ifrel,theta,
     +   ifsbl,ifeva

      common/philtr/iltord,iltfrq,iltcnt
      common/threed/hz(k0),scsig,sigz(k0+1),eigval(k0),ainv(k0,k0),
     +      amat(k0,k0)
      common/dynam/alpha,beta,rf
      common/cnn/n,nm1,nm2,np1
      common/extpar/rlat0,rlng0,t0,v0,dhor,ht,time0,
     +                r0,f0star
      common /vert/ rho0, tsurf, xc(k01), salsur, eta(k01)

      character*70 idstring
      character*80 ident
      character*4 restid,runid
      common/inform/ifdiff,ifpert,titl(20,2),runid(6),restid(9),
     +              idstring,ident
      common/rstinfo/ifrst,fmlrrs,rdt,imlcnt
      character*80 fmlrrs
c
c
c
         WRITE(idev,'(6A4,9A4)') (RUNID(I),I=1,6),
     +        (RESTID(I),I=1,9)
         WRITE(idev,'(20A4)') ((TITL(I,J),I=1,20),J=1,2)
         WRITE(idev,'(3E15.6)') TSTART,TMAX,DT
         WRITE(idev,'(3I3,2E15.6)') M,N,KZ,XBASIN,THETA
         WRITE(idev,'(3E15.6)') ALPHA,BETA,RF
         WRITE(idev,'(3I3)') ILTORD,ILTFRQ,ILTCNT
         WRITE(idev,'(9I1)') IFDIFF,IFPERT,IFRST,IFTOP,IFBOT,
     +         IFTVV,IFREL,ifsbl,ifeva
         WRITE(idev,'(5E15.6)')RLAT0,RLNG0,T0,V0,DHOR,HT,TIME0,R0
         WRITE(idev,'(5E15.6)') (HZ(I),I=1,K0)
         WRITE(idev,'(5E15.6)') rho0,SCSIG,
     +        (SIGZ(I),I=1,K01)
         WRITE(idev,'(5E15.6)') (EIGVAL(I),I=1,K0)
         WRITE(idev,'(5E15.6)') ((AINV(I,J),I=1,K0),J=1,K0)
         WRITE(idev,'(5E15.6)') ((AMAT(I,J),I=1,K0),J=1,K0)
         WRITE(idev,'(5E15.6)') TSURF,(XC(I),I=1,K01)
         WRITE(idev,'(5E15.6)') SALSUR,(ETA(I),I=1,K01)
c
c
c
      return
      end
